# sort-object-arrays [![NPM version](https://img.shields.io/npm/v/sort-object-arrays.svg)](https://www.npmjs.com/package/sort-object-arrays) [![Build Status](https://img.shields.io/travis/jonschlinkert/sort-object-arrays.svg)](https://travis-ci.org/jonschlinkert/sort-object-arrays)

> Recursively sort the array values in an object.

## Install

Install with [npm](https://www.npmjs.com/)

```sh
$ npm i sort-object-arrays --save
```

## Usage

```js
var sortArrays = require('sort-object-arrays');

var obj = sortArrays({foo: ['z', 'a', 'b']});
//=> obj.foo[0] === 'a'
//=> obj.foo[1] === 'b'
//=> obj.foo[2] === 'z'
```

Also sorts array elements on nested properties:

```js
var obj = sortArrays({foo: {bar: {baz: ['z', 'a', 'b']}}});
//=> obj.foo.bar.baz[0] === 'a'
//=> obj.foo.bar.baz[1] === 'b'
//=> obj.foo.bar.baz[2] === 'z'
```

## Related projects

* [extend-shallow](https://www.npmjs.com/package/extend-shallow): Extend an object with the properties of additional objects. node.js/javascript util. | [homepage](https://github.com/jonschlinkert/extend-shallow)
* [group-object](https://www.npmjs.com/package/group-object): Group object keys and values into lists. | [homepage](https://github.com/doowb/group-object)
* [sort-object](https://www.npmjs.com/package/sort-object): Sort the keys in an object. | [homepage](https://github.com/doowb/sort-object)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/sort-object-arrays/issues/new).

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2015 [Jon Schlinkert](https://github.com/jonschlinkert)
Released under the MIT license.

***

_This file was generated by [verb](https://github.com/verbose/verb) on December 20, 2015._